package com.keao.edu.user.page;

import com.keao.edu.common.page.QueryInfo;
import com.keao.edu.user.api.enums.ExamEvaluationResultEnum;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

/**
 * @Author Joburgess
 * @Date 2020.06.30
 */
public class StudentExamResultQueryInfo extends QueryInfo {

    @ApiModelProperty(value = "合作单位编号")
    private Integer organId;

    @ApiModelProperty(value = "考级项目编号")
    private Integer examId;

    @ApiModelProperty(value = "准考证号")
    private String cardNo;

    @ApiModelProperty(value = "专业编号")
    private Integer subjectId;

    @ApiModelProperty(value = "学员编号")
    private Integer studentId;

    @ApiModelProperty(value = "级别")
    private Integer level;

    @ApiModelProperty(value = "学员姓名")
    private String studentName;

    @ApiModelProperty(value = "考级项目名称")
    private String examName;

    @ApiModelProperty(value = "考试开始时间")
    private Date examStartTime;

    @ApiModelProperty(value = "考试结束时间")
    private Date examEndTime;

    @ApiModelProperty(value = "是否参与考试")
    private Integer isFinishedExam;

    @ApiModelProperty(value = "考试结果")
    private ExamEvaluationResultEnum result;

    @ApiModelProperty(value = "考级项目状态")
    private Integer resultConfirm;

    public Integer getStudentId() {
        return studentId;
    }

    public void setStudentId(Integer studentId) {
        this.studentId = studentId;
    }

    public Integer getOrganId() {
        return organId;
    }

    public void setOrganId(Integer organId) {
        this.organId = organId;
    }

    public Integer getExamId() {
        return examId;
    }

    public void setExamId(Integer examId) {
        this.examId = examId;
    }

    public String getCardNo() {
        return cardNo;
    }

    public void setCardNo(String cardNo) {
        this.cardNo = cardNo;
    }

    public Integer getSubjectId() {
        return subjectId;
    }

    public void setSubjectId(Integer subjectId) {
        this.subjectId = subjectId;
    }

    public Integer getLevel() {
        return level;
    }

    public void setLevel(Integer level) {
        this.level = level;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getExamName() {
        return examName;
    }

    public void setExamName(String examName) {
        this.examName = examName;
    }

    public Date getExamStartTime() {
        return examStartTime;
    }

    public void setExamStartTime(Date examStartTime) {
        this.examStartTime = examStartTime;
    }

    public Date getExamEndTime() {
        return examEndTime;
    }

    public void setExamEndTime(Date examEndTime) {
        this.examEndTime = examEndTime;
    }

    public Integer getIsFinishedExam() {
        return isFinishedExam;
    }

    public void setIsFinishedExam(Integer isFinishedExam) {
        this.isFinishedExam = isFinishedExam;
    }

    public ExamEvaluationResultEnum getResult() {
        return result;
    }

    public void setResult(ExamEvaluationResultEnum result) {
        this.result = result;
    }

    public Integer getResultConfirm() {
        return resultConfirm;
    }

    public void setResultConfirm(Integer resultConfirm) {
        this.resultConfirm = resultConfirm;
    }
}
